<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>Uses of Class cern.dip.DipException (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class cern.dip.DipException (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../DipException.html" title="class in cern.dip">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class cern.dip.DipException" class="title">Uses of Class<br>cern.dip.DipException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#cern.dip">cern.dip</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#cern.dip.implementation">cern.dip.implementation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#cern.dip.mock">cern.dip.mock</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="cern.dip">
<!--   -->
</a>
<h3>Uses of <a href="../DipException.html" title="class in cern.dip">DipException</a> in <a href="../package-summary.html">cern.dip</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../DipException.html" title="class in cern.dip">DipException</a> in <a href="../package-summary.html">cern.dip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../BadParameter.html" title="class in cern.dip">BadParameter</a></span></code></th>
<td class="colLast">
<div class="block">Indicates that an illegal or inappropriate argument has been passed to a
 method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></span></code></th>
<td class="colLast">
<div class="block">Thrown by "extract" methods of the Data and DataEntry class to indicate
 that the actual type of the contained data does not correspond to the
 expected type.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">cern.dip</a> with parameters of type <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationErrorHandler.</span><code><span class="memberNameLink"><a href="../DipPublicationErrorHandler.html#handleException(cern.dip.DipPublication,cern.dip.DipException)">handleException</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication,
               <a href="../DipException.html" title="class in cern.dip">DipException</a>&nbsp;ex)</code></th>
<td class="colLast">
<div class="block">invoked when an asynch error occurs.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">cern.dip</a> that throw <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactory.</span><code><span class="memberNameLink"><a href="../DipFactory.html#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">createDipPublication</a></span>&#8203;(java.lang.String&nbsp;topicName,
                    <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">
<div class="block">Creates a new DipPublication object for the topic specified by topicName.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactory.</span><code><span class="memberNameLink"><a href="../DipFactory.html#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">createDipSubscription</a></span>&#8203;(java.lang.String&nbsp;topicName,
                     <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Creates a new DipSubscription object for the topic specified by topicName.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactory.</span><code><span class="memberNameLink"><a href="../DipFactory.html#destroyDipPublication(cern.dip.DipPublication)">destroyDipPublication</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication)</code></th>
<td class="colLast">
<div class="block">Destroys DipPublication object previously created by createDipPublication().</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactory.</span><code><span class="memberNameLink"><a href="../DipFactory.html#destroyDipSubscription(cern.dip.DipSubscription)">destroyDipSubscription</a></span>&#8203;(<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</code></th>
<td class="colLast">
<div class="block">Destroys DipSubscription object previously created by createDipSubscription().</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowser.</span><code><span class="memberNameLink"><a href="../DipBrowser.html#getSize()">getSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the cardinality of the default field (where a primitive type is being sent).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowser.</span><code><span class="memberNameLink"><a href="../DipBrowser.html#getSize(java.lang.String)">getSize</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Get the cardinality of the field who's name is supplied as a parameter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowser.</span><code><span class="memberNameLink"><a href="../DipBrowser.html#getTags(java.lang.String)">getTags</a></span>&#8203;(java.lang.String&nbsp;pub)</code></th>
<td class="colLast">
<div class="block">Get the fields names within the publication having the supplied publication name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowser.</span><code><span class="memberNameLink"><a href="../DipBrowser.html#getType()">getType</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the type of the default field (where a primitive type is being sent).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowser.</span><code><span class="memberNameLink"><a href="../DipBrowser.html#getType(java.lang.String)">getType</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Get the type of the field who's name is supplied as a parameter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(boolean%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(boolean,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(byte%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(byte,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(double%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(double[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(double,cern.dip.DipTimestamp)">send</a></span>&#8203;(double&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(float%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(float[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(float,cern.dip.DipTimestamp)">send</a></span>&#8203;(float&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(int%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(int[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(int,cern.dip.DipTimestamp)">send</a></span>&#8203;(int&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(long%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(long[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(long,cern.dip.DipTimestamp)">send</a></span>&#8203;(long&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(short%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(short[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(short,cern.dip.DipTimestamp)">send</a></span>&#8203;(short&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Send complex data object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp,
    int&nbsp;dipQuality,
    java.lang.String&nbsp;qualityReason)</code></th>
<td class="colLast">
<div class="block">Send complex data object with quality information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#send(java.lang.String,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#setQualityBad()">setQualityBad</a></span>()</code></th>
<td class="colLast">
<div class="block">The quality of the last sent data is set to bad.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#setQualityBad(java.lang.String)">setQualityBad</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">As setQualityBad() but enables the user to pass a string to the clients explaining why there is a problem</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#setQualityUncertain()">setQualityUncertain</a></span>()</code></th>
<td class="colLast">
<div class="block">The quality of the last sent data is set to uncertain.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublication.</span><code><span class="memberNameLink"><a href="../DipPublication.html#setQualityUncertain(java.lang.String)">setQualityUncertain</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">As setQualityUncertain() but enables the user to pass a string to the clients explaining why there is a problem</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="cern.dip.implementation">
<!--   -->
</a>
<h3>Uses of <a href="../DipException.html" title="class in cern.dip">DipException</a> in <a href="../implementation/package-summary.html">cern.dip.implementation</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../implementation/package-summary.html">cern.dip.implementation</a> with parameters of type <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#handleException(cern.dip.DipException)">handleException</a></span>&#8203;(<a href="../DipException.html" title="class in cern.dip">DipException</a>&nbsp;ex)</code></th>
<td class="colLast">
<div class="block">Delegates to the error handler.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../implementation/package-summary.html">cern.dip.implementation</a> that throw <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactoryImp.</span><code><span class="memberNameLink"><a href="../implementation/DipFactoryImp.html#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">createDipPublication</a></span>&#8203;(java.lang.String&nbsp;topicName,
                    <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactoryImp.</span><code><span class="memberNameLink"><a href="../implementation/DipFactoryImp.html#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">createDipSubscription</a></span>&#8203;(java.lang.String&nbsp;topicName,
                     <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactoryImp.</span><code><span class="memberNameLink"><a href="../implementation/DipFactoryImp.html#destroyDipPublication(cern.dip.DipPublication)">destroyDipPublication</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipFactoryImp.</span><code><span class="memberNameLink"><a href="../implementation/DipFactoryImp.html#destroyDipSubscription(cern.dip.DipSubscription)">destroyDipSubscription</a></span>&#8203;(<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowserImp.</span><code><span class="memberNameLink"><a href="../implementation/DipBrowserImp.html#getSize()">getSize</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowserImp.</span><code><span class="memberNameLink"><a href="../implementation/DipBrowserImp.html#getSize(java.lang.String)">getSize</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowserImp.</span><code><span class="memberNameLink"><a href="../implementation/DipBrowserImp.html#getTags(java.lang.String)">getTags</a></span>&#8203;(java.lang.String&nbsp;pub)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowserImp.</span><code><span class="memberNameLink"><a href="../implementation/DipBrowserImp.html#getType()">getType</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipBrowserImp.</span><code><span class="memberNameLink"><a href="../implementation/DipBrowserImp.html#getType(java.lang.String)">getType</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#send(cern.dip.DipData,cern.dip.DipTimestamp)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp,
    int&nbsp;dipQuality,
    java.lang.String&nbsp;qualityReason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(boolean%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(boolean,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(byte%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(byte,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(double%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(double[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(double,cern.dip.DipTimestamp)">send</a></span>&#8203;(double&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(float%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(float[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(float,cern.dip.DipTimestamp)">send</a></span>&#8203;(float&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(int%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(int[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(int,cern.dip.DipTimestamp)">send</a></span>&#8203;(int&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(long%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(long[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(long,cern.dip.DipTimestamp)">send</a></span>&#8203;(long&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(short%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(short[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(short,cern.dip.DipTimestamp)">send</a></span>&#8203;(short&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#send(java.lang.String,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#sendData(cern.dip.DipData,cern.dip.DipTimestamp)">sendData</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;data,
        <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">generic send data method used by all send data implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImpBase.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImpBase.html#sendData(cern.dip.DipData,cern.dip.DipTimestamp)">sendData</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;data,
        <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#setQualityBad()">setQualityBad</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#setQualityBad(java.lang.String)">setQualityBad</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#setQualityUncertain()">setQualityUncertain</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipPublicationImp.</span><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#setQualityUncertain(java.lang.String)">setQualityUncertain</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">FactoryProduct.</span><code><span class="memberNameLink"><a href="../implementation/FactoryProduct.html#validate()">validate</a></span>()</code></th>
<td class="colLast">
<div class="block">Make sure the object is not been used after it has been based to destroy</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../implementation/package-summary.html">cern.dip.implementation</a> that throw <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../implementation/DipPublicationImp.html#%3Cinit%3E(cern.dip.DipFactory,java.lang.String,cern.dip.DipPublicationErrorHandler)">DipPublicationImp</a></span>&#8203;(<a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a>&nbsp;fact,
                 java.lang.String&nbsp;topicName,
                 <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../implementation/DipSubscriptionImp.html#%3Cinit%3E(cern.dip.DipFactory,java.lang.String,cern.dip.DipSubscriptionListener)">DipSubscriptionImp</a></span>&#8203;(<a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a>&nbsp;fact,
                  java.lang.String&nbsp;topicName,
                  <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;list)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="cern.dip.mock">
<!--   -->
</a>
<h3>Uses of <a href="../DipException.html" title="class in cern.dip">DipException</a> in <a href="../mock/package-summary.html">cern.dip.mock</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../mock/package-summary.html">cern.dip.mock</a> that throw <a href="../DipException.html" title="class in cern.dip">DipException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipFactory.</span><code><span class="memberNameLink"><a href="../mock/MockDipFactory.html#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">createDipPublication</a></span>&#8203;(java.lang.String&nbsp;topicName,
                    <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipFactory.</span><code><span class="memberNameLink"><a href="../mock/MockDipFactory.html#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">createDipSubscription</a></span>&#8203;(java.lang.String&nbsp;topicName,
                     <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipFactory.</span><code><span class="memberNameLink"><a href="../mock/MockDipFactory.html#destroyDipPublication(cern.dip.DipPublication)">destroyDipPublication</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipFactory.</span><code><span class="memberNameLink"><a href="../mock/MockDipFactory.html#destroyDipSubscription(cern.dip.DipSubscription)">destroyDipSubscription</a></span>&#8203;(<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipBrowser.</span><code><span class="memberNameLink"><a href="../mock/MockDipBrowser.html#getSize()">getSize</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipBrowser.</span><code><span class="memberNameLink"><a href="../mock/MockDipBrowser.html#getSize(java.lang.String)">getSize</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipBrowser.</span><code><span class="memberNameLink"><a href="../mock/MockDipBrowser.html#getTags(java.lang.String)">getTags</a></span>&#8203;(java.lang.String&nbsp;pub)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipBrowser.</span><code><span class="memberNameLink"><a href="../mock/MockDipBrowser.html#getType()">getType</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipBrowser.</span><code><span class="memberNameLink"><a href="../mock/MockDipBrowser.html#getType(java.lang.String)">getType</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">send</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp,
    int&nbsp;dipQuality,
    java.lang.String&nbsp;qualityReason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#sendData(cern.dip.DipData,cern.dip.DipTimestamp)">sendData</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
        <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#setQualityBad()">setQualityBad</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#setQualityBad(java.lang.String)">setQualityBad</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#setQualityUncertain()">setQualityUncertain</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MockDipPublication.</span><code><span class="memberNameLink"><a href="../mock/MockDipPublication.html#setQualityUncertain(java.lang.String)">setQualityUncertain</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../DipException.html" title="class in cern.dip">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
